网上不少人问起IIS应用程序池中没有.net 4.5可选,需要怎么安装呢?事实上经过了解发现IIS应用程序池没有.Net 4.5是正常的。.net 4.5只是做为.net 4.0的一个补丁,不是一个全新的版本,所以你可以在.net 4.0的应用程序池中运行任意的.net 4.5的网站,这是没有问题的。

20160731_0001

参考:

.net 4.5 是.net 4的 in-place upgrade.

in-place upgrade的意识是CLR没有变化,只是加入了新的类库,修正了一些bug,还是改进性能等。

.net 3 和.net3.5也是.net 2.0 的in-place upgrade,因此你在IIS的APP POOL中也没法选择.net3 和.net 3.5.

因此只要选择net 4即可,当然前提是.net 4.5 运行时已经安装到机器上。

https://social.msdn.microsoft.com/Forums/Windows/zh-CN/a91439fe-7f73-4ca3-b290-6d15b12b2ef0/windows-7iisnet-45aspnet?forum=267

http://bbs.csdn.net/topics/390593410

发表评论

/ 快捷键:Ctrl+Enter
加载中……